Bug 524920 - cannot bring cpus back online
Summary: cannot bring cpus back online
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 510814
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 17:33 UTC by Glauber Costa
Modified: 2011-01-27 13:04 UTC (History)
4 users (show)

Fixed In Version: kernel-2.6.18-170.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-27 13:04:45 UTC


Attachments (Terms of Use)

Description Glauber Costa 2009-09-22 17:33:11 UTC
Description of problem:


If we offline a cpu, we can no longer put it back with our latest kernel
This only happens with the kvm-kmod module enabled. Without it, it goes fine.

Version-Release number of selected component (if applicable):
2.6.18-164.el5 

How reproducible:
always

Steps to Reproduce:
1. echo 0 > /sys/devices/system/cpu/cpuX/online
2. echo 1 > /sys/devices/system/cpu/cpuX/online
3.
  
Actual results:
cpu goes down, but do not come back


Expected results:
it goes down, but then comes back again

Comment 1 Eduardo Habkost 2009-09-22 17:36:52 UTC
Host CPU hotplug isn't supported with the KVM modules loaded: https://bugzilla.redhat.com/show_bug.cgi?id=516122

We need this to make it work:
https://bugzilla.redhat.com/show_bug.cgi?id=510814

Comment 2 Eduardo Habkost 2009-09-22 17:38:00 UTC
Oops, I pasted the wrong URL. The cpu-hotplug-not-supported bug is:
https://bugzilla.redhat.com/show_bug.cgi?id=515557

Comment 5 Eduardo Habkost 2009-10-15 19:15:39 UTC
Should be fixed by the fix for bug #510814. Moving to POST to reflect the fix status.

Comment 6 Eduardo Habkost 2009-10-21 19:30:59 UTC
The fix for bug #510814 (that should solve this bug) is in kernel-2.6.18-170.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Testing is welcome.

Comment 8 Eduardo Habkost 2009-10-27 19:40:53 UTC
Moving bug to KVM, as the kernel side of the change (and probably the only change needed) is bug #510814.

Comment 9 lihuang 2009-10-28 02:22:12 UTC
test in kernel-2.6.18-170.el5/ kmod-kvm-83-105.el5_4.9
PASS 
(refer to Bug 515557#c23)

Comment 10 lihuang 2010-01-31 12:10:07 UTC
retest in kernel -185.el5. PASS

Comment 11 lihuang 2010-01-31 12:11:11 UTC
setting to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.